Net::LDAP::Control::ManageDsaIT(3)

NAME
Net::LDAP::Control::ManageDsaIT - LDAPv3 Manage DSA-IT control object

SYNOPSIS
 use Net::LDAP;
 use Net::LDAP::Control::ManageDsaIT;

 $ldap = Net::LDAP->new( "ldap.mydomain.eg" );

 $manage = Net::LDAP::Control::ManageDsaIT->new( critical => 1 );

 $msg = $ldap->modify( 'dc=sub,dc=mydomain,dc=eg",
                       changes => [
                         delete => { ref => 'ldap://ldap2/dc=sub,dc=mydom,dc=eg' },
                         add => { ref => 'ldap://ldap3/dc=sub,dc=mydom,dc=eg' } ],
                       control  => [ $manage ] );

 die "error: ",$msg->code(),": ",$msg->error()  if ($msg->code());

DESCRIPTION
"Net::LDAP::Control::ManageDsaIT" provides an interface for the creation and manipulation of objects that represent the "ManageDsaIT" control as described by RFC 3296.

CONSTRUCTOR ARGUMENTS
Since the "ManageDsaIT" control does not have any values only the constructor arguments described in Net::LDAP::Control are supported

METHODS
As there are no additional values in the control only the methods in Net::LDAP::Control are available for "Net::LDAP::Control::ManageDsaIT" objects.

SEE ALSO
Net::LDAP, Net::LDAP::Control,

AUTHOR
Peter Marschall <peter@adpm.de>.

Please report any bugs, or post any suggestions, to the perl-ldap mailing list <perl-ldap@perl.org>

COPYRIGHT
Copyright (c) 2004 Peter Marschall. All rights reserved. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.